type CiStatus = "pending" | "success" | "error" | "failure";
interface GiteaConfig {
    protocol?: string;
    domain?: string;
    apiPrefix?: string;
    token?: string;
}
interface Commit {
    sha: string;
}
interface Status {
    sha: string;
    state: CiStatus;
}
declare class Gitea {
    private _protocol;
    private _domain;
    private _apiPrefix;
    private _token;
    constructor(options?: GiteaConfig);
    setToken(token: string | null | undefined): void;
    getHomepage(): string;
    getUrlPrefix(): string;
    getRepo(...args: string[]): Promise<unknown>;
    getCommits(...args: string[]): Promise<Commit[]>;
    getStatus(...args: string[]): Promise<Status>;
    waitForBuild(lastHash: string, ...args: string[]): Promise<void>;
}
export default Gitea;
export { Gitea };
export type { GiteaConfig, Commit, Status, CiStatus };
