import type { ArtixRepo } from 'artix-checkupdates';
import type { ArtoolsConf } from './artoolsconf.mts';
interface PusherConfig {
    gpgpass?: string;
}
type ArtixpkgRepo = ArtixRepo | 'stable' | 'gremlins' | 'goblins';
interface Job extends Partial<ArtoolsConf> {
    source?: ArtixpkgRepo;
    repo: ArtixpkgRepo;
    increment: boolean;
    packages: string[];
}
declare class Pusher {
    private _gitea;
    private _config;
    private _artools;
    private _constructed;
    private _createdSignfile;
    constructor(config?: PusherConfig);
    refreshGpg(): Promise<void>;
    increment(pkg: string): Promise<void>;
    isNewPackage(pkg: string): Promise<boolean>;
    runJob(job: Job): Promise<void>;
}
export default Pusher;
export { Pusher };
export type { PusherConfig, Job, ArtixpkgRepo };
